import { ComponentRender } from '@zeedhi/common';
import { IQrCodeReader, IQrCodeReaderEvents } from './common/IQrCodeReader';

export class QrCodeReader extends ComponentRender implements IQrCodeReader {
  public events!: IQrCodeReaderEvents;

  public decode(decodeString: string, element: HTMLElement) { // esse evento não tem um evento DOM
    if (this.events.decode) {
      this.events.decode({ decodeString, element, component: this });
    }
  }
}
